# src/Rect.cpp File Reference

More...

`#include "board/Rect.h"`

## Functions

Rect | LibBoard::operator|| (const Rect &rectA, const Rect &rectB)
Rect | LibBoard::operator&& (const Rect &rectA, const Rect &rectB)
std::ostream & | operator<< (std::ostream &out, const LibBoard::Rect &rect)

## Detailed Description

Author:
  Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>

Date:
  Sat Aug 18 2007

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | out,
|  | const LibBoard::Rect & | rect |
| ) |  |  |

Stream output operator for Rect structure.

Parameters:

  | out | An output stream.
  | rect | A Rect struct.

Returns:
  The output stream.

References LibBoard::Rect::height, LibBoard::Rect::left, LibBoard::Rect::top, and LibBoard::Rect::width.